#!/bin/sh

# $RCSfile: compile-samples.sh,v $
# $Author: swaj $
# $Revision: 1.10.2.3 $
#
# Sample compilation script


compiler="../bin/sdict-tools.plx --compile --sort=latin-cyrillic --compress=none"

#
# Plain text
#

$compiler --input-file=sample1.txt --output-file=sample1.dct
$compiler --input-file=sample2.txt --output-file=sample2.dct


#
# Test embedded images
# 
extra_switches="--parse-embedded --images-dir=./ --try-djvu-first "
$compiler $extra_switches --input-file=sample3.txt  --output-file=sample3.dct


#
# ... and sounds
#
extra_switches="$extra_switches --sounds-dir=./ "
$compiler $extra_switches --input-file=sample4.txt  --output-file=sample4.dct


echo 'Done'


#__END__
